<?php
add_action('upgrader_post_install','magyar_dashboard');
add_action('wp_dashboard_setup','magyar_dashboard');

function magyar_dashboard()
{  
  $widget_options = get_option('dashboard_widget_options');
  
  //Ha az alap fejlesztői blog van, akkor átírjuk
  if (empty($widget_options['dashboard_primary']) || $widget_options['dashboard_primary']['link'] == 'http://wordpress.org/development/')
  {
    $widget_options['dashboard_primary'] = array(
    	'link' => 'http://napsugar.net/',
    	'url' => 'http://feeds.feedburner.com/idezetek/',
    	'title' => 'A napi lélekmelegítőd',
    	'items' => 1,
    	'show_summary' => 1,
    	'show_author' => 1,
    	'show_date' => 1
    );
  }
  
  //Ha az alap wordpress planet van, akkor is átírjuk
  if (empty($widget_options['dashboard_secondary']) || $widget_options['dashboard_secondary']['link'] == 'http://planet.wordpress.org/')
  {
    $widget_options['dashboard_secondary'] = array(
    	'link' => 'http://wphu.org/',
    	'url' => 'http://wphu.org/feed/',
    	'title' => 'Magyar WordPress Hírek',
    	'items' => 4,
    	'show_summary' => 1,
    	'show_author' => 1,
    	'show_date' => 1
    );
  }
  
  update_option('dashboard_widget_options', $widget_options);
}

/**
 * mno.hu wp_embed handler
 *
 * Embed code last updated:
 *  Thu, 18 Dec 2014 19:00:00 +0100
 *
 * Feel free to submit or correct URL formats here:
 *  http://hu.wordpress.org/contact/
 *
 * @since 4.1
 */
function wp_embed_handler_mnohu( $matches, $attr, $url, $rawattr )
{
    global $content_width;
    $matches['video_id'] = $matches['1'];

    $ratio = 0.625;
    $width = floor($content_width);
    $height = floor($content_width * $ratio);

    $embed = sprintf("<iframe style='width:%dpx; height:%dpx' src='http://video.mno.hu/embed/%s' id='videoplayer_%s'></iframe>",$width,$height,$matches['video_id'],$matches['video_id']);

    return apply_filters( 'embed_mnohu', $embed, $matches, $attr, $url, $rawattr );
}

function magyar_video_embeds()
{
    wp_embed_register_handler( 'mnohu', '#http://mno\.hu/(?:videok)/([\d]+)#i', 'wp_embed_handler_mnohu' );
    wp_oembed_add_provider( '#http://(www\.)?noltv\.hu/video/([\d]+)\.html#i', 'http://www.noltv.hu/services/oembed', true );
}
//add_action( 'init', 'magyar_video_embeds' );

